#legend {
    position: absolute;
    bottom: 10px;
    left: 50%;
    transform: translateX(-50%);
    padding: 10px;
    background-color: rgba(255, 255, 255, 0.8);
    border: 1px solid black;
    font-size: 12px;
    z-index: 1000;
  }
  
 #legend-title {
    text-align: center;
    margin-bottom: 5px;
    font-weight: bold;
 }
 
 #legend-color-ramp {
    width: 400px;
    height: 20px;
    border: 1px solid black;
 }
 
 #legend-labels {
    display: flex;
    justify-content: space-between;
    margin-top: 5px;
 }
 
 #legend-labels div {
    font-size: 12px;
    color: #000;
 }
  
 #region-id-div{
    display:none;
 }

.map-tabs {
    height: fit-content !important;
}

.loading-text{
  font-size: 20px;
  font-weight: bold;
  text-align: center;
  margin-top: 20px;
}

@keyframes blink {
  50% {
    opacity: 0;
  }
}

.loading-text p {
  animation: blink 1s infinite;
}